yeahuh / rpms / qemu-kvm

Forked from rpms/qemu-kvm 2 years ago
Clone
9ae3a8
From a510cccdd420d33dc4c12eb5f638521f8d951e22 Mon Sep 17 00:00:00 2001
9ae3a8
From: Kevin Wolf <kwolf@redhat.com>
9ae3a8
Date: Tue, 25 Mar 2014 14:23:16 +0100
9ae3a8
Subject: [PATCH 09/49] qemu-iotests: Support for bochs format
9ae3a8
9ae3a8
RH-Author: Kevin Wolf <kwolf@redhat.com>
9ae3a8
Message-id: <1395753835-7591-10-git-send-email-kwolf@redhat.com>
9ae3a8
Patchwork-id: n/a
9ae3a8
O-Subject: [virt-devel] [EMBARGOED RHEL-7.0 qemu-kvm PATCH 09/48] qemu-iotests: Support for bochs format
9ae3a8
Bugzilla: 1066691
9ae3a8
RH-Acked-by: Jeff Cody <jcody@redhat.com>
9ae3a8
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
9ae3a8
9ae3a8
Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1066691
9ae3a8
Upstream status: Series embargoed
9ae3a8
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
Reviewed-by: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
9ae3a8
Conflicts:
9ae3a8
tests/qemu-iotests/group
9ae3a8
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
---
9ae3a8
 tests/qemu-iotests/078                           |   53 ++++++++++++++++++++++
9ae3a8
 tests/qemu-iotests/078.out                       |    6 +++
9ae3a8
 tests/qemu-iotests/common                        |    7 +++
9ae3a8
 tests/qemu-iotests/group                         |    1 +
9ae3a8
 tests/qemu-iotests/sample_images/empty.bochs.bz2 |  Bin 0 -> 118 bytes
9ae3a8
 5 files changed, 67 insertions(+), 0 deletions(-)
9ae3a8
 create mode 100755 tests/qemu-iotests/078
9ae3a8
 create mode 100644 tests/qemu-iotests/078.out
9ae3a8
 create mode 100644 tests/qemu-iotests/sample_images/empty.bochs.bz2
9ae3a8
9ae3a8
diff --git a/tests/qemu-iotests/078 b/tests/qemu-iotests/078
9ae3a8
new file mode 100755
9ae3a8
index 0000000..f55f46d
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/078
9ae3a8
@@ -0,0 +1,53 @@
9ae3a8
+#!/bin/bash
9ae3a8
+#
9ae3a8
+# bochs format input validation tests
9ae3a8
+#
9ae3a8
+# Copyright (C) 2013 Red Hat, Inc.
9ae3a8
+#
9ae3a8
+# This program is free software; you can redistribute it and/or modify
9ae3a8
+# it under the terms of the GNU General Public License as published by
9ae3a8
+# the Free Software Foundation; either version 2 of the License, or
9ae3a8
+# (at your option) any later version.
9ae3a8
+#
9ae3a8
+# This program is distributed in the hope that it will be useful,
9ae3a8
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
9ae3a8
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
9ae3a8
+# GNU General Public License for more details.
9ae3a8
+#
9ae3a8
+# You should have received a copy of the GNU General Public License
9ae3a8
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
9ae3a8
+#
9ae3a8
+
9ae3a8
+# creator
9ae3a8
+owner=kwolf@redhat.com
9ae3a8
+
9ae3a8
+seq=`basename $0`
9ae3a8
+echo "QA output created by $seq"
9ae3a8
+
9ae3a8
+here=`pwd`
9ae3a8
+tmp=/tmp/$$
9ae3a8
+status=1	# failure is the default!
9ae3a8
+
9ae3a8
+_cleanup()
9ae3a8
+{
9ae3a8
+	_cleanup_test_img
9ae3a8
+}
9ae3a8
+trap "_cleanup; exit \$status" 0 1 2 3 15
9ae3a8
+
9ae3a8
+# get standard environment, filters and checks
9ae3a8
+. ./common.rc
9ae3a8
+. ./common.filter
9ae3a8
+
9ae3a8
+_supported_fmt bochs
9ae3a8
+_supported_proto generic
9ae3a8
+_supported_os Linux
9ae3a8
+
9ae3a8
+echo
9ae3a8
+echo "== Read from a valid image =="
9ae3a8
+_use_sample_img empty.bochs.bz2
9ae3a8
+{ $QEMU_IO -c "read 0 512" $TEST_IMG; } 2>&1 | _filter_qemu_io | _filter_testdir
9ae3a8
+
9ae3a8
+# success, all done
9ae3a8
+echo "*** done"
9ae3a8
+rm -f $seq.full
9ae3a8
+status=0
9ae3a8
diff --git a/tests/qemu-iotests/078.out b/tests/qemu-iotests/078.out
9ae3a8
new file mode 100644
9ae3a8
index 0000000..25d37c5
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/078.out
9ae3a8
@@ -0,0 +1,6 @@
9ae3a8
+QA output created by 078
9ae3a8
+
9ae3a8
+== Read from a valid image ==
9ae3a8
+read 512/512 bytes at offset 0
9ae3a8
+512 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
9ae3a8
+*** done
9ae3a8
diff --git a/tests/qemu-iotests/common b/tests/qemu-iotests/common
9ae3a8
index b5043fc..35abbfc 100644
9ae3a8
--- a/tests/qemu-iotests/common
9ae3a8
+++ b/tests/qemu-iotests/common
9ae3a8
@@ -128,6 +128,7 @@ common options
9ae3a8
 
9ae3a8
 check options
9ae3a8
     -raw                test raw (default)
9ae3a8
+    -bochs              test bochs
9ae3a8
     -cow                test cow
9ae3a8
     -cloop              test cloop
9ae3a8
     -qcow               test qcow
9ae3a8
@@ -163,6 +164,12 @@ testlist options
9ae3a8
             xpand=false
9ae3a8
             ;;
9ae3a8
 
9ae3a8
+        -bochs)
9ae3a8
+            IMGFMT=bochs
9ae3a8
+            IMGFMT_GENERIC=false
9ae3a8
+            xpand=false
9ae3a8
+            ;;
9ae3a8
+
9ae3a8
         -cow)
9ae3a8
             IMGFMT=cow
9ae3a8
             xpand=false
9ae3a8
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
9ae3a8
index 427818c..30a0fd8 100644
9ae3a8
--- a/tests/qemu-iotests/group
9ae3a8
+++ b/tests/qemu-iotests/group
9ae3a8
@@ -73,6 +73,7 @@
9ae3a8
 070 rw auto
9ae3a8
 075 rw auto
9ae3a8
 077 rw auto
9ae3a8
+078 rw auto
9ae3a8
 079 rw auto
9ae3a8
 082 rw auto quick
9ae3a8
 086 rw auto quick
9ae3a8
-- 
9ae3a8
1.7.1
9ae3a8